# Get target discovered service with chaos context

Get target discovered service with chaos context

Endpoint: GET /gateway/chaos/manager/api/rest/v2/applicationmaps/{applicationmapid}/targetservices/{targetserviceid}
Version: 1.0
Security: x-api-key

## Query parameters:

  - `accountIdentifier` (string, required)
    account id that want to access the resource

  - `organizationIdentifier` (string, required)
    organization id that want to access the resource

  - `projectIdentifier` (string, required)
    project id that want to access the resource

  - `environmentIdentifier` (string, required)
    environment id that want to access the resource

  - `infraId` (string, required)
    infra id that want to access the resource

## Path parameters:

  - `applicationmapid` (string, required)
    Application map ID

  - `targetserviceid` (string, required)
    Target discovered service ID Identity

## Response 200 fields (application/json):

  - `chaosDetails` (object)

  - `chaosDetails.accountID` (string, required)

  - `chaosDetails.averageResiliencyScore` (number)

  - `chaosDetails.createdAt` (integer)

  - `chaosDetails.createdBy` (string)

  - `chaosDetails.environmentRef` (string)

  - `chaosDetails.externalId` (string)

  - `chaosDetails.id` (string)

  - `chaosDetails.infrastructureId` (string)

  - `chaosDetails.isRemoved` (boolean, required)

  - `chaosDetails.licenseId` (string)

  - `chaosDetails.name` (string)

  - `chaosDetails.orgID` (string)

  - `chaosDetails.projectID` (string)

  - `chaosDetails.resiliencyCoverage` (number)

  - `chaosDetails.spec` (object)

  - `chaosDetails.spec.discoveredService` (object)

  - `chaosDetails.spec.discoveredService.id` (string)

  - `chaosDetails.spec.discoveredService.kind` (string)

  - `chaosDetails.spec.discoveredService.label` (object)

  - `chaosDetails.spec.discoveredService.name` (string)

  - `chaosDetails.spec.discoveredService.namespace` (string)

  - `chaosDetails.spec.discoveredService.uuid` (string)

  - `chaosDetails.totalExperimentCount` (integer)

  - `chaosDetails.type` (string)
    Enum: "DiscoveredService", "UnAccounted"

  - `chaosDetails.updatedAt` (integer)

  - `chaosDetails.updatedBy` (string)

  - `discoveryDetails` (object)

  - `discoveryDetails.accountIdentifier` (string, required)

  - `discoveryDetails.agentID` (string, required)

  - `discoveryDetails.annotations` (object)

  - `discoveryDetails.apiVersion` (string, required)

  - `discoveryDetails.createdAt` (string)

  - `discoveryDetails.createdBy` (string)

  - `discoveryDetails.creationTimestamp` (string)

  - `discoveryDetails.deletionTimestamp` (string)

  - `discoveryDetails.environmentIdentifier` (string, required)

  - `discoveryDetails.id` (string, required)

  - `discoveryDetails.kind` (string, required)

  - `discoveryDetails.labels` (object)

  - `discoveryDetails.name` (string, required)

  - `discoveryDetails.namespace` (string, required)

  - `discoveryDetails.organizationIdentifier` (string)

  - `discoveryDetails.ownerReference` (array)

  - `discoveryDetails.ownerReference.apiVersion` (string)
    API version of the referent.

  - `discoveryDetails.ownerReference.blockOwnerDeletion` (boolean)
    If true, AND if the owner has the "foregroundDeletion" finalizer, then
the owner cannot be deleted from the key-value store until this
reference is removed.
Defaults to false.
To set this field, a user needs "delete" permission of the owner,
otherwise 422 (Unprocessable Entity) will be returned.
+optional

  - `discoveryDetails.ownerReference.controller` (boolean)
    If true, this reference points to the managing controller.
+optional

  - `discoveryDetails.ownerReference.kind` (string)
    Kind of the referent.
More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#types-kinds

  - `discoveryDetails.ownerReference.name` (string)
    Name of the referent.
More info: http://kubernetes.io/docs/user-guide/identifiers#names

  - `discoveryDetails.ownerReference.uid` (string)
    UID of the referent.
More info: http://kubernetes.io/docs/user-guide/identifiers#uids

  - `discoveryDetails.projectIdentifier` (string)

  - `discoveryDetails.removed` (boolean)

  - `discoveryDetails.removedAt` (string)

  - `discoveryDetails.resourceVersion` (string, required)

  - `discoveryDetails.spec` (object, required)

  - `discoveryDetails.spec.allocateLoadBalancerNodePorts` (boolean)
    allocateLoadBalancerNodePorts defines if NodePorts will be automatically
allocated for services with type LoadBalancer.  Default is "true". It may be
set to "false" if the cluster load-balancer does not rely on NodePorts.
allocateLoadBalancerNodePorts may only be set for services with type LoadBalancer
and will be cleared if the type is changed to any other type.
This field is alpha-level and is only honored by servers that enable the ServiceLBNodePortControl feature.
+optional

  - `discoveryDetails.spec.clusterIP` (string)
    clusterIP is the IP address of the service and is usually assigned
randomly. If an address is specified manually, is in-range (as per
system configuration), and is not in use, it will be allocated to the
service; otherwise creation of the service will fail. This field may not
be changed through updates unless the type field is also being changed
to ExternalName (which requires this field to be blank) or the type
field is being changed from ExternalName (in which case this field may
optionally be specified, as describe above).  Valid values are "None",
empty string (""), or a valid IP address. Setting this to "None" makes a
"headless service" (no virtual IP), which is useful when direct endpoint
connections are preferred and proxying is not required.  Only applies to
types ClusterIP, NodePort, and LoadBalancer. If this field is specified
when creating a Service of type ExternalName, creation will fail. This
field will be wiped when updating a Service to type ExternalName.
More info: https://kubernetes.io/docs/concepts/services-networking/service/#virtual-ips-and-service-proxies
+optional

  - `discoveryDetails.spec.clusterIPs` (array)
    ClusterIPs is a list of IP addresses assigned to this service, and are
usually assigned randomly.  If an address is specified manually, is
in-range (as per system configuration), and is not in use, it will be
allocated to the service; otherwise creation of the service will fail.
This field may not be changed through updates unless the type field is
also being changed to ExternalName (which requires this field to be
empty) or the type field is being changed from ExternalName (in which
case this field may optionally be specified, as describe above).  Valid
values are "None", empty string (""), or a valid IP address.  Setting
this to "None" makes a "headless service" (no virtual IP), which is
useful when direct endpoint connections are preferred and proxying is
not required.  Only applies to types ClusterIP, NodePort, and
LoadBalancer. If this field is specified when creating a Service of type
ExternalName, creation will fail. This field will be wiped when updating
a Service to type ExternalName.  If this field is not specified, it will
be initialized from the clusterIP field.  If this field is specified,
clients must ensure that clusterIPs[0] and clusterIP have the same
value.

Unless the "IPv6DualStack" feature gate is enabled, this field is
limited to one value, which must be the same as the clusterIP field.  If
the feature gate is enabled, this field may hold a maximum of two
entries (dual-stack IPs, in either order).  These IPs must correspond to
the values of the ipFamilies field. Both clusterIPs and ipFamilies are
governed by the ipFamilyPolicy field.
More info: https://kubernetes.io/docs/concepts/services-networking/service/#virtual-ips-and-service-proxies
+listType=atomic
+optional

  - `discoveryDetails.spec.externalIPs` (array)
    externalIPs is a list of IP addresses for which nodes in the cluster
will also accept traffic for this service.  These IPs are not managed by
Kubernetes.  The user is responsible for ensuring that traffic arrives
at a node with this IP.  A common example is external load-balancers
that are not part of the Kubernetes system.
+optional

  - `discoveryDetails.spec.externalName` (string)
    externalName is the external reference that discovery mechanisms will
return as an alias for this service (e.g. a DNS CNAME record). No
proxying will be involved.  Must be a lowercase RFC-1123 hostname
(https://tools.ietf.org/html/rfc1123) and requires type to be "ExternalName".
+optional

  - `discoveryDetails.spec.externalTrafficPolicy` (string)
    externalTrafficPolicy denotes if this Service desires to route external
traffic to node-local or cluster-wide endpoints. "Local" preserves the
client source IP and avoids a second hop for LoadBalancer and Nodeport
type services, but risks potentially imbalanced traffic spreading.
"Cluster" obscures the client source IP and may cause a second hop to
another node, but should have good overall load-spreading.
+optional
    Enum: "Local", "Cluster"

  - `discoveryDetails.spec.healthCheckNodePort` (integer)
    healthCheckNodePort specifies the healthcheck nodePort for the service.
This only applies when type is set to LoadBalancer and
externalTrafficPolicy is set to Local. If a value is specified, is
in-range, and is not in use, it will be used.  If not specified, a value
will be automatically allocated.  External systems (e.g. load-balancers)
can use this port to determine if a given node holds endpoints for this
service or not.  If this field is specified when creating a Service
which does not need it, creation will fail. This field will be wiped
when updating a Service to no longer need it (e.g. changing type).
+optional

  - `discoveryDetails.spec.internalTrafficPolicy` (string)
    InternalTrafficPolicy specifies if the cluster internal traffic
should be routed to all endpoints or node-local endpoints only.
"Cluster" routes internal traffic to a Service to all endpoints.
"Local" routes traffic to node-local endpoints only, traffic is
dropped if no node-local endpoints are ready.
The default value is "Cluster".
+featureGate=ServiceInternalTrafficPolicy
+optional
    Enum: "Cluster", "Local"

  - `discoveryDetails.spec.ipFamilies` (array)
    IPFamilies is a list of IP families (e.g. IPv4, IPv6) assigned to this
service, and is gated by the "IPv6DualStack" feature gate.  This field
is usually assigned automatically based on cluster configuration and the
ipFamilyPolicy field. If this field is specified manually, the requested
family is available in the cluster, and ipFamilyPolicy allows it, it
will be used; otherwise creation of the service will fail.  This field
is conditionally mutable: it allows for adding or removing a secondary
IP family, but it does not allow changing the primary IP family of the
Service.  Valid values are "IPv4" and "IPv6".  This field only applies
to Services of types ClusterIP, NodePort, and LoadBalancer, and does
apply to "headless" services.  This field will be wiped when updating a
Service to type ExternalName.

This field may hold a maximum of two entries (dual-stack families, in
either order).  These families must correspond to the values of the
clusterIPs field, if specified. Both clusterIPs and ipFamilies are
governed by the ipFamilyPolicy field.
+listType=atomic
+optional
    Enum: "IPv4", "IPv6"

  - `discoveryDetails.spec.ipFamilyPolicy` (string)
    IPFamilyPolicy represents the dual-stack-ness requested or required by
this Service, and is gated by the "IPv6DualStack" feature gate.  If
there is no value provided, then this field will be set to SingleStack.
Services can be "SingleStack" (a single IP family), "PreferDualStack"
(two IP families on dual-stack configured clusters or a single IP family
on single-stack clusters), or "RequireDualStack" (two IP families on
dual-stack configured clusters, otherwise fail). The ipFamilies and
clusterIPs fields depend on the value of this field.  This field will be
wiped when updating a service to type ExternalName.
+optional
    Enum: "SingleStack", "PreferDualStack", "RequireDualStack"

  - `discoveryDetails.spec.loadBalancerClass` (string)
    loadBalancerClass is the class of the load balancer implementation this Service belongs to.
If specified, the value of this field must be a label-style identifier, with an optional prefix,
e.g. "internal-vip" or "example.com/internal-vip". Unprefixed names are reserved for end-users.
This field can only be set when the Service type is 'LoadBalancer'. If not set, the default load
balancer implementation is used, today this is typically done through the cloud provider integration,
but should apply for any default implementation. If set, it is assumed that a load balancer
implementation is watching for Services with a matching class. Any default load balancer
implementation (e.g. cloud providers) should ignore Services that set this field.
This field can only be set when creating or updating a Service to type 'LoadBalancer'.
Once set, it can not be changed. This field will be wiped when a service is updated to a non 'LoadBalancer' type.
+featureGate=LoadBalancerClass
+optional

  - `discoveryDetails.spec.loadBalancerIP` (string)
    Only applies to Service Type: LoadBalancer
LoadBalancer will get created with the IP specified in this field.
This feature depends on whether the underlying cloud-provider supports specifying
the loadBalancerIP when a load balancer is created.
This field will be ignored if the cloud-provider does not support the feature.
+optional

  - `discoveryDetails.spec.loadBalancerSourceRanges` (array)
    If specified and supported by the platform, this will restrict traffic through the cloud-provider
load-balancer will be restricted to the specified client IPs. This field will be ignored if the
cloud-provider does not support the feature."
More info: https://kubernetes.io/docs/tasks/access-application-cluster/configure-cloud-provider-firewall/
+optional

  - `discoveryDetails.spec.ports` (array)
    The list of ports that are exposed by this service.
More info: https://kubernetes.io/docs/concepts/services-networking/service/#virtual-ips-and-service-proxies
+patchMergeKey=port
+patchStrategy=merge
+listType=map
+listMapKey=port
+listMapKey=protocol

  - `discoveryDetails.spec.ports.appProtocol` (string)
    The application protocol for this port.
This field follows standard Kubernetes label syntax.
Un-prefixed names are reserved for IANA standard service names (as per
RFC-6335 and http://www.iana.org/assignments/service-names).
Non-standard protocols should use prefixed names such as
mycompany.com/my-custom-protocol.
This is a beta field that is guarded by the ServiceAppProtocol feature
gate and enabled by default.
+optional

  - `discoveryDetails.spec.ports.name` (string)
    The name of this port within the service. This must be a DNS_LABEL.
All ports within a ServiceSpec must have unique names. When considering
the endpoints for a Service, this must match the 'name' field in the
EndpointPort.
Optional if only one ServicePort is defined on this service.
+optional

  - `discoveryDetails.spec.ports.nodePort` (integer)
    The port on each node on which this service is exposed when type is
NodePort or LoadBalancer.  Usually assigned by the system. If a value is
specified, in-range, and not in use it will be used, otherwise the
operation will fail.  If not specified, a port will be allocated if this
Service requires one.  If this field is specified when creating a
Service which does not need it, creation will fail. This field will be
wiped when updating a Service to no longer need it (e.g. changing type
from NodePort to ClusterIP).
More info: https://kubernetes.io/docs/concepts/services-networking/service/#type-nodeport
+optional

  - `discoveryDetails.spec.ports.port` (integer)
    The port that will be exposed by this service.

  - `discoveryDetails.spec.ports.protocol` (string)
    The IP protocol for this port. Supports "TCP", "UDP", and "SCTP".
Default is TCP.
+default="TCP"
+optional
    Enum: "TCP", "UDP", "SCTP"

  - `discoveryDetails.spec.ports.targetPort` (object)
    Number or name of the port to access on the pods targeted by the service.
Number must be in the range 1 to 65535. Name must be an IANA_SVC_NAME.
If this is a string, it will be looked up as a named port in the
target Pod's container ports. If this is not specified, the value
of the 'port' field is used (an identity map).
This field is ignored for services with clusterIP=None, and should be
omitted or set equal to the 'port' field.
More info: https://kubernetes.io/docs/concepts/services-networking/service/#defining-a-service
+optional

  - `discoveryDetails.spec.ports.targetPort.intVal` (integer)

  - `discoveryDetails.spec.ports.targetPort.strVal` (string)

  - `discoveryDetails.spec.ports.targetPort.type` (integer)
    Enum: 0, 1

  - `discoveryDetails.spec.publishNotReadyAddresses` (boolean)
    publishNotReadyAddresses indicates that any agent which deals with endpoints for this
Service should disregard any indications of ready/not-ready.
The primary use case for setting this field is for a StatefulSet's Headless Service to
propagate SRV DNS records for its Pods for the purpose of peer discovery.
The Kubernetes controllers that generate Endpoints and EndpointSlice resources for
Services interpret this to mean that all endpoints are considered "ready" even if the
Pods themselves are not. Agents which consume only Kubernetes generated endpoints
through the Endpoints or EndpointSlice resources can safely assume this behavior.
+optional

  - `discoveryDetails.spec.selector` (object)
    Route service traffic to pods with label keys and values matching this
selector. If empty or not present, the service is assumed to have an
external process managing its endpoints, which Kubernetes will not
modify. Only applies to types ClusterIP, NodePort, and LoadBalancer.
Ignored if type is ExternalName.
More info: https://kubernetes.io/docs/concepts/services-networking/service/
+optional

  - `discoveryDetails.spec.sessionAffinity` (string)
    Supports "ClientIP" and "None". Used to maintain session affinity.
Enable client IP based session affinity.
Must be ClientIP or None.
Defaults to None.
More info: https://kubernetes.io/docs/concepts/services-networking/service/#virtual-ips-and-service-proxies
+optional
    Enum: "ClientIP", "None"

  - `discoveryDetails.spec.sessionAffinityConfig` (object)
    sessionAffinityConfig contains the configurations of session affinity.
+optional

  - `discoveryDetails.spec.sessionAffinityConfig.clientIP` (object)
    clientIP contains the configurations of Client IP based session affinity.
+optional

  - `discoveryDetails.spec.sessionAffinityConfig.clientIP.timeoutSeconds` (integer)
    timeoutSeconds specifies the seconds of ClientIP type session sticky time.
The value must be >0 && <=86400(for 1 day) if ServiceAffinity == "ClientIP".
Default value is 10800(for 3 hours).
+optional

  - `discoveryDetails.spec.topologyKeys` (array)
    topologyKeys is a preference-order list of topology keys which
implementations of services should use to preferentially sort endpoints
when accessing this Service, it can not be used at the same time as
externalTrafficPolicy=Local.
Topology keys must be valid label keys and at most 16 keys may be specified.
Endpoints are chosen based on the first topology key with available backends.
If this field is specified and all entries have no backends that match
the topology of the client, the service has no backends for that client
and connections should fail.
The special value "*" may be used to mean "any topology". This catch-all
value, if used, only makes sense as the last value in the list.
If this is not specified or empty, no topology constraints will be applied.
This field is alpha-level and is only honored by servers that enable the ServiceTopology feature.
This field is deprecated and will be removed in a future version.
+optional

  - `discoveryDetails.spec.type` (string)
    type determines how the Service is exposed. Defaults to ClusterIP. Valid
options are ExternalName, ClusterIP, NodePort, and LoadBalancer.
"ClusterIP" allocates a cluster-internal IP address for load-balancing
to endpoints. Endpoints are determined by the selector or if that is not
specified, by manual construction of an Endpoints object or
EndpointSlice objects. If clusterIP is "None", no virtual IP is
allocated and the endpoints are published as a set of endpoints rather
than a virtual IP.
"NodePort" builds on ClusterIP and allocates a port on every node which
routes to the same endpoints as the clusterIP.
"LoadBalancer" builds on NodePort and creates an external load-balancer
(if supported in the current cloud) which routes to the same endpoints
as the clusterIP.
"ExternalName" aliases this service to the specified externalName.
Several other fields do not apply to ExternalName services.
More info: https://kubernetes.io/docs/concepts/services-networking/service/#publishing-services-service-types
+optional
    Enum: "ClusterIP", "NodePort", "LoadBalancer", "ExternalName"

  - `discoveryDetails.status` (object)

  - `discoveryDetails.status.conditions` (array)
    Current service state
+optional
+patchMergeKey=type
+patchStrategy=merge
+listType=map
+listMapKey=type

  - `discoveryDetails.status.conditions.lastTransitionTime` (string)
    lastTransitionTime is the last time the condition transitioned from one status to another.
This should be when the underlying condition changed.  If that is not known, then using the time when the API field changed is acceptable.
+required
+kubebuilder:validation:Required
+kubebuilder:validation:Type=string
+kubebuilder:validation:Format=date-time

  - `discoveryDetails.status.conditions.message` (string)
    message is a human readable message indicating details about the transition.
This may be an empty string.
+required
+kubebuilder:validation:Required
+kubebuilder:validation:MaxLength=32768

  - `discoveryDetails.status.conditions.observedGeneration` (integer)
    observedGeneration represents the .metadata.generation that the condition was set based upon.
For instance, if .metadata.generation is currently 12, but the .status.conditions[x].observedGeneration is 9, the condition is out of date
with respect to the current state of the instance.
+optional
+kubebuilder:validation:Minimum=0

  - `discoveryDetails.status.conditions.reason` (string)
    reason contains a programmatic identifier indicating the reason for the condition's last transition.
Producers of specific condition types may define expected values and meanings for this field,
and whether the values are considered a guaranteed API.
The value should be a CamelCase string.
This field may not be empty.
+required
+kubebuilder:validation:Required
+kubebuilder:validation:MaxLength=1024
+kubebuilder:validation:MinLength=1
+kubebuilder:validation:Pattern=^[A-Za-z]([A-Za-z0-9_,:]*[A-Za-z0-9_])?$

  - `discoveryDetails.status.conditions.status` (string)
    status of the condition, one of True, False, Unknown.
+required
+kubebuilder:validation:Required
+kubebuilder:validation:Enum=True;False;Unknown
    Enum: "True", "False", "Unknown"

  - `discoveryDetails.status.conditions.type` (string)
    type of condition in CamelCase or in foo.example.com/CamelCase.
---
Many .condition.type values are consistent across resources like Available, but because arbitrary conditions can be
useful (see .node.status.conditions), the ability to deconflict is important.
The regex it matches is (dns1123SubdomainFmt/)?(qualifiedNameFmt)
+required
+kubebuilder:validation:Required
+kubebuilder:validation:Pattern=^([a-z0-9]([-a-z0-9][a-z0-9])?(\.[a-z0-9]([-a-z0-9][a-z0-9])?)/)?(([A-Za-z0-9][-A-Za-z0-9_.])?[A-Za-z0-9])$
+kubebuilder:validation:MaxLength=316

  - `discoveryDetails.status.loadBalancer` (object)
    LoadBalancer contains the current status of the load-balancer,
if one is present.
+optional

  - `discoveryDetails.status.loadBalancer.ingress` (array)
    Ingress is a list containing ingress points for the load-balancer.
Traffic intended for the service should be sent to these ingress points.
+optional

  - `discoveryDetails.status.loadBalancer.ingress.hostname` (string)
    Hostname is set for load-balancer ingress points that are DNS based
(typically AWS load-balancers)
+optional

  - `discoveryDetails.status.loadBalancer.ingress.ip` (string)
    IP is set for load-balancer ingress points that are IP based
(typically GCE or OpenStack load-balancers)
+optional

  - `discoveryDetails.status.loadBalancer.ingress.ports` (array)
    Ports is a list of records of service ports
If used, every port defined in the service should have an entry in it
+listType=atomic
+optional

  - `discoveryDetails.status.loadBalancer.ingress.ports.error` (string)
    Error is to record the problem with the service port
The format of the error shall comply with the following rules:
- built-in error values shall be specified in this file and those shall use
  CamelCase names
- cloud provider specific error values must have names that comply with the
  format foo.example.com/CamelCase.
---
The regex it matches is (dns1123SubdomainFmt/)?(qualifiedNameFmt)
+optional
+kubebuilder:validation:Required
+kubebuilder:validation:Pattern=^([a-z0-9]([-a-z0-9][a-z0-9])?(\.[a-z0-9]([-a-z0-9][a-z0-9])?)/)?(([A-Za-z0-9][-A-Za-z0-9_.])?[A-Za-z0-9])$
+kubebuilder:validation:MaxLength=316

  - `discoveryDetails.status.loadBalancer.ingress.ports.port` (integer)
    Port is the port number of the service port of which status is recorded here

  - `discoveryDetails.status.loadBalancer.ingress.ports.protocol` (string)
    Protocol is the protocol of the service port of which status is recorded here
The supported values are: "TCP", "UDP", "SCTP"
    Enum: "TCP", "UDP", "SCTP"

  - `discoveryDetails.uid` (string, required)

  - `discoveryDetails.updatedAt` (string)

  - `discoveryDetails.updatedBy` (string)

  - `workloadDetails` (object)

  - `workloadDetails.kind` (string)

  - `workloadDetails.name` (string)

  - `workloadDetails.namespace` (string)

  - `workloadDetails.service` (object)

  - `workloadDetails.service.annotations` (object)

  - `workloadDetails.service.clusterIP` (string)

  - `workloadDetails.service.clusterIPs` (array)

  - `workloadDetails.service.externalIPs` (array)

  - `workloadDetails.service.externalName` (string)

  - `workloadDetails.service.identity` (object)

  - `workloadDetails.service.identity.apiVersion` (string)
    API version of the referent.
+optional

  - `workloadDetails.service.identity.fieldPath` (string)
    If referring to a piece of an object instead of an entire object, this string
should contain a valid JSON/Go field access statement, such as desiredState.manifest.containers[2].
For example, if the object reference is to a container within a pod, this would take on a value like:
"spec.containers{name}" (where "name" refers to the name of the container that triggered
the event) or if no container name is specified "spec.containers[2]" (container with
index 2 in this pod). This syntax is chosen only to have some well-defined way of
referencing a part of an object.
TODO: this design is not final and this field is subject to change in the future.
+optional

  - `workloadDetails.service.identity.kind` (string)
    Kind of the referent.
More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#types-kinds
+optional

  - `workloadDetails.service.identity.name` (string)
    Name of the referent.
More info: https://kubernetes.io/docs/concepts/overview/working-with-objects/names/#names
+optional

  - `workloadDetails.service.identity.namespace` (string)
    Namespace of the referent.
More info: https://kubernetes.io/docs/concepts/overview/working-with-objects/namespaces/
+optional

  - `workloadDetails.service.identity.resourceVersion` (string)
    Specific resourceVersion to which this reference is made, if any.
More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#concurrency-control-and-consistency
+optional

  - `workloadDetails.service.identity.uid` (string)
    UID of the referent.
More info: https://kubernetes.io/docs/concepts/overview/working-with-objects/names/#uids
+optional

  - `workloadDetails.service.labels` (object)

  - `workloadDetails.service.loadBalancerIP` (string)

  - `workloadDetails.service.ports` (array)

  - `workloadDetails.service.type` (string)
    Enum: "ClusterIP", "NodePort", "LoadBalancer", "ExternalName"

  - `workloadDetails.uid` (string)

  - `workloadDetails.workloads` (array)

  - `workloadDetails.workloads.annotations` (object)

  - `workloadDetails.workloads.identity` (object)

  - `workloadDetails.workloads.labels` (object)

  - `workloadDetails.workloads.podAnnotations` (object)

  - `workloadDetails.workloads.podLabels` (object)

  - `workloadDetails.workloads.replicas` (array)

  - `workloadDetails.workloads.replicas.identity` (object)

  - `workloadDetails.workloads.replicas.phase` (string)
    Enum: "Pending", "Running", "Succeeded", "Failed", "Unknown"

## Response 400 fields (application/json):

  - `code` (string)
    Enum: "PIPELINE_NOT_FOUND"

  - `description` (string)

  - `message` (string)


